package module

import (
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/context"
	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/recconf"
)

type ItemCollaborativeDao interface {
	ListItemsByItem(item *User, context *context.RecommendContext) []*Item
}

func NewItemCollaborativeDao(config recconf.RecallConfig) ItemCollaborativeDao {
	if config.ItemCollaborativeDaoConf.AdapterType == recconf.DaoConf_Adapter_Hologres {
		return NewItemCollaborativeHologresDao(config)
	}
	panic("not found ItemCollaborativeDao implement")
}
